@oclif/plugin-warn-if-update-available

v2.0.4

warns if there is a newer version of CLI released

MIT
Latest version published 5 months ago
    npm install @oclif/plugin-warn-if-update-available
  

Package Health Score

80 / 100

Security

No known security issues
Powered by Snyk
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
2.0.4 | 01/2022
  • 0
    H
  • 0
    M
  • 0
    L
1.7.3 | 11/2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.7.0 | 02/2019
Popular
  • 0
    H
  • 0
    M
  • 0
    L
0.0.0 | 03/2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
License
MIT
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

# Install the Snyk CLI and test your project
npm i snyk -g && snyk test @oclif/plugin-warn-if-update-available
Get started free

Popularity

Popular

Weekly Downloads (646,476)

Download trend
Dependents
236
GitHub Stars
27
Forks
12
Contributors
20

Direct Usage Popularity

TOP 30%

The npm package @oclif/plugin-warn-if-update-available receives a total of 646,476 downloads a week. As such, we scored @oclif/plugin-warn-if-update-available popularity level to be Popular.

Based on project statistics from the GitHub repository for the npm package @oclif/plugin-warn-if-update-available, we found that it has been starred 27 times, and that 236 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
20
Funding
No

With more than 10 contributors for the @oclif/plugin-warn-if-update-available repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like @oclif/plugin-warn-if-update-available is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 80/100 package health 80/100

Maintenance

Healthy

Commit Frequency

Open Issues
9
Open PR
23
Last Release
5 months ago
Last Commit
20 days ago

Further analysis of the maintenance status of @oclif/plugin-warn-if-update-available based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @oclif/plugin-warn-if-update-available demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Package

Node.js Compatibility
>=12.0.0

Age
4 years
Dependencies
7 Direct
Versions
36
Install Size
17.7 kB
Dist-tags
1
# of Files
11
Maintainers
7
TS Typings
No

@oclif/plugin-warn-if-update-available has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.